//Aus: G. Krger, Handbuch der Java-Programmierung, 2002.
// Verndert von: M. Scheer, WS 2004/2005

public class Flaechenberechnung {
   public Auto auto ;
   public FussballPlatz platz ;
   public BlattPapier blatt ;
   
   // Konstruktor
   public Flaechenberechnung() {
      //Zuerst erzeugen wir ein Auto...
      auto = new Auto(4235, 1650, 1820) ;

      //Nun ein DIN A4-Blatt...
      blatt = new BlattPapier(4);

      //Und zum Schlu einen Fuballplatz...
      platz = new FussballPlatz();
   }
   
   // Grundflche berechnen
   public long grundflaeche(Groesse g) {
      return (long)g.laenge() * g.breite();
   }
   
   // Grundflche ausgeben
   public void druckeGrundflaeche() {
      //Nun werden sie ausgegeben
      System.out.println("Auto:  " + grundflaeche(auto));
      System.out.println("Blatt: " + grundflaeche(blatt));
      System.out.println("Platz: " + grundflaeche(platz));
   }
}
